bitel.billing.server.card.bean

## Class CardSeriesManager

- java.lang.Object
- - bitel.billing.server.card.bean.CardSeriesManager

-     public class CardSeriesManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardSeriesManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addSeries(java.lang.String title)`
    `int` | `deleteSeries(int id)`
    `java.util.Set<java.lang.Integer>` | `getCardSeries(java.lang.String cards)`
    `java.util.List<java.lang.Integer>` | `getCardsFromSeries(int seriesId, int needCount)`
    `java.util.List<CardSeries>` | `getNotEmptySeries()`
    `CardSeries` | `getSeries(int id)`
    `int` | `getSeriesId(java.lang.String title)`
    `java.util.List<CardSeries>` | `getSeriesList()`
    `java.lang.String` | `getSeriesTitle(int id)`
    `int` | `updateSeries(CardSeries series)`
    `void` | `updateSeriesFree(int id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CardSeriesManager

          public CardSeriesManager(java.sql.Connection con,
                                   int mid)

  - ### Method Detail

    - #### addSeries

          public int addSeries(java.lang.String title)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getSeriesId

          public int getSeriesId(java.lang.String title)

    - #### getSeries

          public CardSeries getSeries(int id)

    - #### getSeriesList

          public java.util.List<CardSeries> getSeriesList()

    - #### getSeriesTitle

          public java.lang.String getSeriesTitle(int id)

    - #### updateSeries

          public int updateSeries(CardSeries series)

    - #### updateSeriesFree

          public void updateSeriesFree(int id)

    - #### deleteSeries

          public int deleteSeries(int id)

    - #### getNotEmptySeries

          public java.util.List<CardSeries> getNotEmptySeries()

    - #### getCardSeries

          public java.util.Set<java.lang.Integer> getCardSeries(java.lang.String cards)

    - #### getCardsFromSeries

          public java.util.List<java.lang.Integer> getCardsFromSeries(int seriesId,
                                                                      int needCount)